# List antifraud list items

Retrieves a paginated list of antifraud list items.

Endpoint: POST /antifraud-lists/list-item
Version: 2.0.0
Security: bearerAuth

## Request fields (application/json):

  - `list_id` (string)
    Identifier of the antifraud list.
    Example: 01KBPMZVN946M2HRV0D8BBBBBB

  - `filters` (object)
    Filters for antifraud list items.

  - `filters.field_value` (object)
    Operator and value for field value filter.

  - `filters.field_value.operator` (string, required)
    Comparison operator.
    Enum: "CONTAINS"

  - `filters.field_value.value` (string, required)
    Value to filter by.
    Example: example@example.com

  - `filters.created_at` (object)
    Operator and value for created at filter.

  - `filters.created_at.operator` (string, required)
    Comparison operator.
    Enum: "RANGE"

  - `filters.created_at.value` (object, required)
    Inclusive range of dates.

  - `filters.created_at.value.from` (string, required)
    Date and time value.
    Example: 2024-01-01T10:00:00.000000Z

  - `filters.created_at.value.to` (string, required)
    Date and time value.
    Example: 2024-01-01T10:00:00.000000Z

  - `filters.created_at.value` (string, required)
    Date and time value.
    Example: 2024-01-01T10:00:00.000000Z

  - `filters.created_by` (object)
    Operator and value for created by filter.

  - `filters.created_by.operator` (string, required)
    Comparison operator.
    Enum: "EQ"

  - `filters.created_by.value` (string, required)
    Value to filter by.
    Example: example@example.com

  - `pagination` (object)
    Pagination details.

  - `pagination.page_size` (integer, required)
    Number of items returned in this response.
    Example: 20

  - `pagination.next_page_token` (string)
    Token to retrieve the next page of results. It is empty on the last page.
    Example: eyJMYXN0SUQiOiIxYTYyYjQ0Ni01ZDM0LTRiYTQtOGRlZS02NTM5NTU0NjY2MTQifQ==

## Response 200 fields (application/json):

  - `items` (array)
    List of antifraud list items for the current page.

  - `items.id` (string, required)
    Unique antifraud list item identifier.
    Example: 1263815

  - `items.list_id` (string, required)
    Unique antifraud list identifier.
    Example: 01KBPMZVN946M2HRV0D8BBBBBB

  - `items.field_value` (string, required)
    Field value.
    Example: example@example.com

  - `items.expired_at` (string)
    Date and time when the antifraud list item expires.
    Example: 2024-01-02T15:00:00.000000Z

  - `items.description` (string)
    Description of the antifraud list item.
    Example: Trusted partner email

  - `items.created_by` (string)
    Email of the user who created the antifraud list item.
    Example: user@example.com

  - `items.created_at` (string, required)
    Date and time when the antifraud list item was created.
    Example: 2024-01-01T10:00:00.000000Z

  - `items.updated_at` (string, required)
    Date and time when the antifraud list item was updated.
    Example: 2024-01-02T15:00:00.000000Z

  - `pagination` (object)
    Pagination details.

  - `pagination.page_size` (integer, required)
    Number of items returned in this response.
    Example: 20

  - `pagination.next_page_token` (string)
    Token to retrieve the next page of results. It is empty on the last page.
    Example: eyJMYXN0SUQiOiIxYTYyYjQ0Ni01ZDM0LTRiYTQtOGRlZS02NTM5NTU0NjY2MTQifQ==

## Response 400 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "VALIDATION"

  - `message` (string, required)
    Message describing the error.
    Example: One or more fields failed validation due to constraints

  - `context` (object, required)
    Additional context about the validation error, including specific constraints.
    Example: {"constraints":{"email":{"type":"TYPE","message":"The 'email' field must be a valid email address"},"age":{"type":"MIN","message":"The 'age' field must be a number greater than or equal to 18"}}}

## Response 401 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "UNAUTHENTICATED"

  - `message` (string, required)
    Message describing the error.
    Example: Credentials are invalid or missing

## Response 403 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "PERMISSION_DENIED"

  - `message` (string, required)
    Message describing the error.
    Example: Permission denied

## Response 422 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Example: INCOMPATIBLE_STATUS

  - `message` (string, required)
    Message describing the error.
    Example: The request conflicts with the current state

